DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# PixelTableAddRun

Add a new run to a pixel table

## SYNOPSIS

`#include "dip_pixel_table.h"`

dip_Error dip_PixelTableAddRun ( table, coordinate, length )

## FUNCTION

Adds a new run to a pixel table. The new run is appended to the existing runs in the pixel table.

## ARGUMENTS

Data type | Name | Description
`dip_PixelTable` | `table` | Pixel table
`dip_IntegerArray` | `coordinate` | Coordinate of the run
`dip_int` | `length` | Length of the run

## SEE ALSO

Description of DIPlib's pixel tables

`PixelTableNew`, `PixelTableSetRun`, `PixelTableGetRun`, `PixelTableGetRuns`, `PixelTableGetDimensionality`, `PixelTableGetDimensions`, `PixelTableGetOrigin`, `PixelTableGetSize`, `PixelTableGetPixelCount`, `PixelTableGetOffsetAndLength`

DIPlib on-line documentation | Function reference | Global function index